using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationCOMMPREFGet
{
    public class COMMPREFGet2019
    {

    public bool IntCollectionExists = false;
    public int IntCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:INT
    /// COMMPREFGet::Identifiers.AustralianBusinessNumber.Identifier
    /// </summary>
    public string COMMPREF01 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT
    /// COMMPREFGet::Identifiers.TaxAgentNumber.Identifier
    /// </summary>
    public string COMMPREF02 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT
    /// COMMPREFGet::OrganisationDetails.WholeOfPractice.Indicator
    /// </summary>
    public bool? COMMPREF22 = null;

    public bool RpCollectionExists = false;
    public int RpCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// COMMPREFGet::Identifiers.TaxFileNumber.Identifier
    /// </summary>
    public string COMMPREF03 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// COMMPREFGet::Identifiers.AustralianBusinessNumber.Identifier
    /// </summary>
    public string COMMPREF04 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// COMMPREFGet::Identifiers.WithholdingPayerNumber.Identifier
    /// </summary>
    public string COMMPREF05 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP
    /// COMMPREFGet::Identifiers.AustralianTaxationOfficeReferenceNumber.Identifier
    /// </summary>
    public string COMMPREF06 = null;

    public bool RP_PaginationCollectionExists = false;
    public int RP_PaginationCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Pagination
    /// COMMPREFGet::Interaction.RecordLimit.Count
    /// </summary>
    public decimal? COMMPREF12 = null;

    public bool RP_Pagination_StartRecordCollectionExists = false;
    public int RP_Pagination_StartRecordCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Pagination/:StartRecord
    /// COMMPREFGet::Report.CommunicationType.Code
    /// </summary>
    public string COMMPREF30 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Pagination/:StartRecord
    /// COMMPREFGet::Preferences.PreferredRecipient.Code
    /// </summary>
    public string COMMPREF31 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Pagination/:StartRecord
    /// COMMPREFGet::Report.CommunicationRecipient.Code
    /// </summary>
    public string COMMPREF27 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Pagination/:StartRecord
    /// COMMPREFGet::Preferences.PreferredContactMethod.Code
    /// </summary>
    public string COMMPREF28 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:RP/:Pagination/:StartRecord
    /// COMMPREFGet::Tax.AccountSequence.Number
    /// </summary>
    public decimal? COMMPREF29 = null;

    }
}
