using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationCOMMPREFList
{
    public class COMMPREFList2019
    {

    public bool IntCollectionExists = false;
    public int IntCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:INT
    /// COMMPREFList:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
    /// </summary>
    public string COMMPREF01 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT
    /// COMMPREFList:pyid.02.00:Identifiers.TaxAgentNumber.Identifier
    /// </summary>
    public string COMMPREF02 = null;

    public bool InT_FiltersCollectionExists = false;
    public int InT_FiltersCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:Filters
    /// COMMPREFList:pyin.02.51:Report.CommunicationType.Code
    /// </summary>
    public List<string> COMMPREF30Collection = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:Filters
    /// COMMPREFList:pypr.02.04:Preferences.PreferredRecipient.Code
    /// </summary>
    public string COMMPREF31 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:Filters
    /// COMMPREFList:pyin.02.52:Report.CommunicationRecipient.Code
    /// </summary>
    public string COMMPREF27 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:Filters
    /// COMMPREFList:pypr.02.05:Preferences.PreferredContactMethod.Code
    /// </summary>
    public List<string> COMMPREF28Collection = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:Filters
    /// COMMPREFList:pyin.02.36:Interaction.EffectiveStart.Date
    /// </summary>
    public DateTime? COMMPREF45 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:Filters
    /// COMMPREFList:pyin.02.36:Interaction.EffectiveEnd.Date
    /// </summary>
    public DateTime? COMMPREF46 = null;

    public bool InT_PaginationCollectionExists = false;
    public int InT_PaginationCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:Pagination
    /// COMMPREFList:pyin.02.26:Interaction.RecordLimit.Count
    /// </summary>
    public decimal? COMMPREF12 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:INT/:Pagination
    /// COMMPREFList:pyin.02.17:Interaction.StartRecord.Identifier
    /// </summary>
    public string COMMPREF13 = null;

    }
}
